MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026341Open CASCADE[OCCT] OCCT:Data Exchangepublic2015-06-15 08:212015-10-23 20:51
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026341: Uninitialized field in ShapeFix_Face
DescriptionThe new field myRemoveSmallAreaFaceMode introduced in class ShapeFix_Face by patch for #25923 is not initialized in constructor.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0042272)
git (administrator)
2015-06-19 14:49

Branch CR26341 has been created by abv.

SHA-1: bb3d5401c66a81bbdc71e207e853866ab091d7c6


Detailed log of new commits:

Author: abv
Date: Thu Jun 18 18:40:42 2015 +0300

    0026341: Uninitialized field in ShapeFix_Face
    
    Parameter RemoveSmallAreaFaceMode in ShapeFix_Face is properly initialized; some other minor corrections
(0042273)
abv (manager)
2015-06-19 14:50

Fix pushed to CR26341, please review
(0042604)
gka (developer)
2015-06-30 16:42

Branch CR26341 is ready to be tested
(0042612)
git (administrator)
2015-06-30 18:30

Branch CR26341 has been updated forcibly by mkv.

SHA-1: c211555c9ef4f238bef75470920b13f977b563bb
(0042618)
mkv (tester)
2015-06-30 20:31

Dear BugMaster,
Branch CR26341 was rebased on current master of occt git-repository.
SHA-1: c211555c9ef4f238bef75470920b13f977b563bb
(0042619)
mkv (tester)
2015-06-30 20:31

Dear BugMaster,
Branch CR26341 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: c211555c9ef4f238bef75470920b13f977b563bb

There is following extraction error:
Linux:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR26341-master/job/CR26341-master_prepare_occt_linux/2/parsed_console/ [^]


Error : /misc/dn60/LocalWOK/wok_entities/LOC/dev/CR26341-master-occt-64/src/ShapeFix/ShapeFix_Face.cdl", line 212: parse error
Error : 1 errors.
(0042621)
git (administrator)
2015-07-01 09:02

Branch CR26341 has been updated by abv.

SHA-1: 210a3a8b4e096e0fe14e151075304db1fce5b347


Detailed log of new commits:

Author: abv
Date: Wed Jul 1 09:02:35 2015 +0300

    correction

(0042622)
abv (manager)
2015-07-01 09:03

Corrected, please test
(0042635)
mkv (tester)
2015-07-01 14:35

Dear BugMaster,
Branch CR26341 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 210a3a8b4e096e0fe14e151075304db1fce5b347

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 97770681 / 98565567 [-0.81%]
Total CPU difference: 17991.539999999884 / 18149.380000000052 [-0.87%]
products component :
Total MEMORY difference: 24184365 / 24211008 [-0.11%]
Total CPU difference: 7841.81000000002 / 7857.050000000034 [-0.19%]

Testing on Windows:
occt component :
Total MEMORY difference: 56579008 / 56772988 [-0.34%]
Total CPU difference: 17082.577502998898 / 17207.643504698844 [-0.73%]
products component :
Total MEMORY difference: 15535064 / 15550857 [-0.10%]
Total CPU difference: 6205.485778499974 / 6303.984809899965 [-1.56%]

There are no differences in images found by testdiff.
(0044210)
git (administrator)
2015-08-14 10:57

Branch CR26341 has been deleted by inv.

SHA-1: 210a3a8b4e096e0fe14e151075304db1fce5b347

- Related Changesets
occt: master 9d1b116f
Timestamp: 2015-07-02 11:33:54
Author: abv
Committer: bugmaster
Details ] Diff ]
0026341: Uninitialized field in ShapeFix_Face

Parameter RemoveSmallAreaFaceMode in ShapeFix_Face is properly initialized; some other minor corrections
mod - src/ShapeFix/ShapeFix.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Face.cdl Diff ] File ]
mod - src/ShapeFix/ShapeFix_Face.cxx Diff ] File ]
mod - src/XSTEPResource/STEP Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-06-15 08:21 abv New Issue
2015-06-15 08:21 abv Assigned To => gka
2015-06-15 08:22 abv Relationship added child of 0025923
2015-06-15 08:22 abv Product Version => 7.0.0
2015-06-15 08:22 abv Assigned To gka => abv
2015-06-15 08:22 abv Status new => assigned
2015-06-19 14:49 git Note Added: 0042272
2015-06-19 14:50 abv Note Added: 0042273
2015-06-19 14:50 abv Assigned To abv => gka
2015-06-19 14:50 abv Status assigned => resolved
2015-06-19 14:50 abv Steps to Reproduce Updated View Revisions
2015-06-30 16:42 gka Note Added: 0042604
2015-06-30 16:42 gka Assigned To gka => bugmaster
2015-06-30 16:42 gka Status resolved => reviewed
2015-06-30 18:30 git Note Added: 0042612
2015-06-30 18:30 mkv Assigned To bugmaster => mkv
2015-06-30 20:31 mkv Note Added: 0042618
2015-06-30 20:31 mkv Assigned To mkv => abv
2015-06-30 20:31 mkv Status reviewed => assigned
2015-06-30 20:31 mkv Note Added: 0042619
2015-06-30 20:31 mkv Test case number => Not needed
2015-07-01 09:02 git Note Added: 0042621
2015-07-01 09:03 abv Note Added: 0042622
2015-07-01 09:03 abv Assigned To abv => gka
2015-07-01 09:03 abv Status assigned => resolved
2015-07-01 09:03 abv Assigned To gka => bugmaster
2015-07-01 09:03 abv Status resolved => reviewed
2015-07-01 09:37 mkv Assigned To bugmaster => mkv
2015-07-01 14:35 mkv Note Added: 0042635
2015-07-01 14:35 mkv Assigned To mkv => bugmaster
2015-07-01 14:35 mkv Status reviewed => tested
2015-07-03 15:27 bugmaster Changeset attached => occt master 9d1b116f
2015-07-03 15:27 bugmaster Status tested => verified
2015-07-03 15:27 bugmaster Resolution open => fixed
2015-08-14 10:57 git Note Added: 0044210
2015-08-26 11:08 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:51 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker